Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO] problema xorg-server 1.63
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Al79
n00b
n00b


Joined: 30 Jul 2006
Posts: 30

PostPosted: Thu Aug 13, 2009 8:01 am    Post subject: [RISOLTO] problema xorg-server 1.63 Reply with quote

Ciao a tutti,

ho un problema con la nuova versione di xorg-server, la 1.6.3 appunto.
Avevo una versione del file di configurazione dalla precedente versione
di xorg-server (1.5.3-r6) e, poichè funzionava, l'ho copiata sulla nuova
versione di xorg-server. Ho installato gli ati-drivers 9.7 perchè fossero
compatibili con la nuova versione del server x.

Ora l'errore che mi da è il seguente:

Code:

(II) LoadModule: "fglrx"
(II) Loading /usr/lib/xorg/modules/drivers//fglrx_drv.so
(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
        compiled for 1.4.99.906, module version = 8.63.2
        Module class: X.Org Video Driver
(II) Primary Device is: PCI 01@00:00:0
(WW) Falling back to old probe method for fglrx
(II) ATI Proprietary Linux Driver Version Identifier:8.63.2
(II) ATI Proprietary Linux Driver Release Identifier: 8.632
(II) ATI Proprietary Linux Driver Build Date: Jul  2 2009 12:25:24
(II) Loading PCS database from /etc/ati/amdpcsdb
(WW) This ATI Proprietary Linux Driver does not guarantee support of video driver ABI higher than 2.0
(WW) Video driver ABI version of the X server is 5.0
(EE) No devices detected.

Fatal server error:
no screens found


Questo è il mio emerge --info:

Code:

Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.28-gentoo-r5-i686-Intel-R-_Pentium-R-_M_processor_1.73GHz-with-glibc2.1
Timestamp of tree: Thu, 13 Aug 2009 06:30:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -mtune=pentium-m -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=pentium-m -mtune=pentium-m -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distclean distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/                 ftp://mirror.switch.ch/mirror/gentoo/                 http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/                 http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/"
LANG="it_IT"
LC_ALL="en_US.UTF8"
LDFLAGS="-Wl,-O1"
LINGUAS="it"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acpi alsa bzip2 cdr cdrom cli cracklib crypt cups dbus dri dvd dvdr fortran gpm hal iconv ipv6 isdnlog kde mmx mudflap ncurses nls nptl nptlonly openmp pam pcre pppd python qt3 qt4 readline reflection session spl sse sse2 ssl sysfs tcpd udev unicode x86 xorg zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="fglrx vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


questo il mio lspci:

Code:

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root Port (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 04)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 04)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 04)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 04)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 04)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d4)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 04)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 04)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 04)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 04)
01:00.0 VGA compatible controller: ATI Technologies Inc M24 1P [Radeon Mobility X600]
03:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8001 Gigabit Ethernet Controller (rev 13)
03:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
03:01.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
03:01.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 17)
03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 08)
03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 03)
03:02.0 Network controller: Intel Corporation PRO/Wireless 2200BG Network Connection (rev 05)


questo il mio file xorg.conf:

Code:

Section "Files"
    FontPath    "/usr/share/fonts/75dpi"
EndSection

Section "Module"
    Load        "dbe"
    Load        "record"
    SubSection  "extmod"
        Option  "omit xfree86-dga"
    EndSubSection
    Load "dri"
    Load "dri2"
    Load "glx"
EndSection

Section "DRI"
        Mode 0666
EndSection

Section "ServerFlags"
     Option     "NoPM"          "true"
     Option     "AllowEmptyInput"       "true"
EndSection

Section "InputDevice"
    Identifier  "Keyboard1"
    Driver      "kbd"
    Option      "AutoRepeat"    "500 5"
EndSection

Section "InputDevice"
    Identifier  "Mouse1"
    Driver      "mouse"
    Option      "Protocol"      "Microsoft"
    Option      "Device"        "/dev/mouse"
EndSection

Section "InputDevice"
    Identifier  "Mouse2"
    Driver      "mouse"
    Option      "Protocol"      "MouseMan"
    Option      "Device"        "/dev/mouse2"
EndSection

Section "Monitor"
    Identifier  "Generic Monitor"
    HorizSync   31.5-50
    VertRefresh 50-90
EndSection

Section "Device"
        Identifier "Ati"
        Driver     "fglrx"
        BusID      "PCI:1:0:0"
        Option     "backingstore"       "true"
        Option     "RenderAccel"        "true"
        Option     "UseInternalAGPGART" "false"
EndSection

Section "Screen"
    Identifier          "Screen0"
    Device              "Ati"
    Monitor             "Generic Monitor"
    Option              "no accel"
    DefaultDepth        16
    SubSection          "Display"
        Viewport        0 0
        Depth           8
        Modes           "1280x1024"
        Option          "rgb bits" "8"
        Visual          "StaticColor"
    EndSubSection
    SubSection "Display"
        Viewport        0 0
        Depth           16
        Modes           "1400x1050" "1280x1024" "1024x768" "640x480"
    EndSubSection
    SubSection "Display"
        Viewport        0 0
        Depth           24
        Modes           "1400x1050" "1280x1024" "1024x768" "640x480"
    EndSubSection
EndSection

Section "Extensions"
        Option  "Composite"     "Enable"
EndSection

Section "ServerLayout"
    Identifier  "Main Layout"
    Screen      "Screen0"       ""      ""      ""      ""
EndSection


e infine questi i servizi attivi:

Code:

            bootmisc | boot
             checkfs | boot
           checkroot | boot
               clock | boot
         consolefont | boot
                hald |      default
            hostname | boot
             keymaps | boot
               local |      default nonetwork
          localmount | boot
             modules | boot
            net.eth0 |      default
            net.eth1 |      default
              net.lo | boot
            netmount |      default
           rmnologin | boot
           syslog-ng |      default
             urandom | boot
          vixie-cron |      default


Attualmente con la mia ati x600 sto usando i driver proprietari della ati, come dicono i warning del
server X. Potrebbe trattarsi di dover sostituirli con la loro controparte FOSS ma prima di ricompilare
xorg-server con VIDEO_CARDS="-fglrx radeon" vorrei qualche altro parere. Qualcuno sa dirmi con
sicurezza se xorg-server non è più compatibile con i driver ati proprietari ed è quindi indispensabile
passare ai driver FOSS?

Infine non sono sicuro che il problema sia quello, infatti sono solo warning, se qualcuno ha altri
suggerimenti sono ben accetti..mi evitereste una inutile ricompilazione :)

Grazie anticatamente a tutti dell'aiuto.
Alberto


Last edited by Al79 on Fri Aug 14, 2009 11:53 am; edited 1 time in total
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Thu Aug 13, 2009 10:16 am    Post subject: Reply with quote

uhm... hai provato a togliere lo xorg.conf?

nelle nuove versioni di xorg se abiliti la flag hal puoi fare a meno del file di configurazione di xorg. io non ce l'ho (e ho una ati x300) e va tutto bene
_________________
Darkman
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Thu Aug 13, 2009 11:41 am    Post subject: Reply with quote

Lasciando il file di configurazione non è necessario disabilitare il caricamento del modulo "dri" nella sezione Module?
Back to top
View user's profile Send private message
Apetrini
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1158

PostPosted: Thu Aug 13, 2009 1:08 pm    Post subject: Reply with quote

Non sembrano semplici warning
Code:
(WW) This ATI Proprietary Linux Driver does not guarantee support of video driver ABI higher than 2.0
(WW) Video driver ABI version of the X server is 5.0


Sembra che non sia compatibile... il messaggio è un po' strano
Code:
does not guarantee
. Non garantiscono la compatibilità...

E comunque la riga
Code:
Option     "UseInternalAGPGART" "false"
è inutile visto che specifica se usare i driver Agp di fglrx (ne ha uno interno) o usare quelli del kernel linux, ovviamente inutile perche la gpu è pci.

E in casi come questi che sono contento di avere una nvidia, magari non avremo mai il kernel mode setting (che in realtà sarebbe già pronto) per problemi legati a simboli gpl only, ma almeno nvidia rilascia driver beta ogni 2 settimane circa e se uno vuole proprio c'è il forum dove parlare con gli sviluppatori e postare bug.

P.s. magari sarebbe bene sapere da qualcuno come sono i driver open e se funziona bene il kms.
_________________
Linux ape 2.6.31-vanilla. Paludis since 0.28.0.
Back to top
View user's profile Send private message
Al79
n00b
n00b


Joined: 30 Jul 2006
Posts: 30

PostPosted: Fri Aug 14, 2009 8:44 am    Post subject: Reply with quote

darkmanPPT wrote:
uhm... hai provato a togliere lo xorg.conf?

nelle nuove versioni di xorg se abiliti la flag hal puoi fare a meno del file di configurazione di xorg. io non ce l'ho (e ho una ati x300) e va tutto bene


Ho provato ma non funziona :( Stesso errore anche se, ovviamente, tenta di caricare qualche modulo in più.

mrl4n wrote:
Lasciando il file di configurazione non è necessario disabilitare il caricamento del modulo "dri" nella sezione Module?


Provato anche questo (e anche a disabilitare dri2) ma neppure questo funziona...

Apetrini wrote:
Non sembrano semplici warning
Code:
(WW) This ATI Proprietary Linux Driver does not guarantee support of video driver ABI higher than 2.0
(WW) Video driver ABI version of the X server is 5.0


Sembra che non sia compatibile... il messaggio è un po' strano
Code:
does not guarantee
. Non garantiscono la compatibilità...


Infatti mi suona strano quel non garantiscono. Un bel "non supportato" era più chiaro...

Apetrini wrote:
E comunque la riga
Code:
Option     "UseInternalAGPGART" "false"
è inutile visto che specifica se usare i driver Agp di fglrx (ne ha uno interno) o usare quelli del kernel linux, ovviamente inutile perche la gpu è pci.


Ho provato a toglierla, ma non cambia niente. Quella riga era nei tutorial gentoo che seguii la prima volta che ho dovuto configurare per questo portatile, che sfortunamente ha una ati... :(

Ragazzi, ad ogni modo, grazie tante a tutti per l'aiuto ora proverò a mettere i driver open e poi vi faccio sapere...
Alberto
Back to top
View user's profile Send private message
viralex
Apprentice
Apprentice


Joined: 24 Apr 2008
Posts: 237
Location: Viareggio (Lu,Italy)

PostPosted: Fri Aug 14, 2009 9:14 am    Post subject: Reply with quote

prova a inserire questa linea nel serverflags

Section "ServerFlags"
Option "IgnoreABI" "True"
EndSection

non partiva neanche a me la 1.6.0, adesso ho la 1.6.3 e va tutto alla perfezione.

http://pastebin.com/mf3ec3ea
Back to top
View user's profile Send private message
Al79
n00b
n00b


Joined: 30 Jul 2006
Posts: 30

PostPosted: Fri Aug 14, 2009 11:52 am    Post subject: Reply with quote

viralex wrote:
prova a inserire questa linea nel serverflags

Section "ServerFlags"
Option "IgnoreABI" "True"
EndSection

non partiva neanche a me la 1.6.0, adesso ho la 1.6.3 e va tutto alla perfezione.

http://pastebin.com/mf3ec3ea


Ho provato a seguire il tuo suggerimento, ma non è successo nulla. Praticamente ha solo soppresso i warning.
Alla fine sono passato ai driver FOSS...
Ringrazio comunque tutti per l'aiuto.
Ciao
Alberto
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum